# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 4.1

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/ganome/Projects/SCAR-719/repos/scar-chat7

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/ganome/Projects/SCAR-719/repos/scar-chat7/build

# Include any dependencies generated for this target.
include shared/CMakeFiles/scarchat_shared.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include shared/CMakeFiles/scarchat_shared.dir/compiler_depend.make

# Include the progress variables for this target.
include shared/CMakeFiles/scarchat_shared.dir/progress.make

# Include the compile flags for this target's objects.
include shared/CMakeFiles/scarchat_shared.dir/flags.make

shared/CMakeFiles/scarchat_shared.dir/codegen:
.PHONY : shared/CMakeFiles/scarchat_shared.dir/codegen

shared/CMakeFiles/scarchat_shared.dir/scarchat_shared_autogen/mocs_compilation.cpp.o: shared/CMakeFiles/scarchat_shared.dir/flags.make
shared/CMakeFiles/scarchat_shared.dir/scarchat_shared_autogen/mocs_compilation.cpp.o: shared/scarchat_shared_autogen/mocs_compilation.cpp
shared/CMakeFiles/scarchat_shared.dir/scarchat_shared_autogen/mocs_compilation.cpp.o: shared/CMakeFiles/scarchat_shared.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object shared/CMakeFiles/scarchat_shared.dir/scarchat_shared_autogen/mocs_compilation.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT shared/CMakeFiles/scarchat_shared.dir/scarchat_shared_autogen/mocs_compilation.cpp.o -MF CMakeFiles/scarchat_shared.dir/scarchat_shared_autogen/mocs_compilation.cpp.o.d -o CMakeFiles/scarchat_shared.dir/scarchat_shared_autogen/mocs_compilation.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared/scarchat_shared_autogen/mocs_compilation.cpp

shared/CMakeFiles/scarchat_shared.dir/scarchat_shared_autogen/mocs_compilation.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/scarchat_shared.dir/scarchat_shared_autogen/mocs_compilation.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared/scarchat_shared_autogen/mocs_compilation.cpp > CMakeFiles/scarchat_shared.dir/scarchat_shared_autogen/mocs_compilation.cpp.i

shared/CMakeFiles/scarchat_shared.dir/scarchat_shared_autogen/mocs_compilation.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/scarchat_shared.dir/scarchat_shared_autogen/mocs_compilation.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared/scarchat_shared_autogen/mocs_compilation.cpp -o CMakeFiles/scarchat_shared.dir/scarchat_shared_autogen/mocs_compilation.cpp.s

shared/CMakeFiles/scarchat_shared.dir/protocol/message.cpp.o: shared/CMakeFiles/scarchat_shared.dir/flags.make
shared/CMakeFiles/scarchat_shared.dir/protocol/message.cpp.o: /home/ganome/Projects/SCAR-719/repos/scar-chat7/shared/protocol/message.cpp
shared/CMakeFiles/scarchat_shared.dir/protocol/message.cpp.o: shared/CMakeFiles/scarchat_shared.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building CXX object shared/CMakeFiles/scarchat_shared.dir/protocol/message.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT shared/CMakeFiles/scarchat_shared.dir/protocol/message.cpp.o -MF CMakeFiles/scarchat_shared.dir/protocol/message.cpp.o.d -o CMakeFiles/scarchat_shared.dir/protocol/message.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/shared/protocol/message.cpp

shared/CMakeFiles/scarchat_shared.dir/protocol/message.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/scarchat_shared.dir/protocol/message.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/shared/protocol/message.cpp > CMakeFiles/scarchat_shared.dir/protocol/message.cpp.i

shared/CMakeFiles/scarchat_shared.dir/protocol/message.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/scarchat_shared.dir/protocol/message.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/shared/protocol/message.cpp -o CMakeFiles/scarchat_shared.dir/protocol/message.cpp.s

shared/CMakeFiles/scarchat_shared.dir/auth/jwt.cpp.o: shared/CMakeFiles/scarchat_shared.dir/flags.make
shared/CMakeFiles/scarchat_shared.dir/auth/jwt.cpp.o: /home/ganome/Projects/SCAR-719/repos/scar-chat7/shared/auth/jwt.cpp
shared/CMakeFiles/scarchat_shared.dir/auth/jwt.cpp.o: shared/CMakeFiles/scarchat_shared.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building CXX object shared/CMakeFiles/scarchat_shared.dir/auth/jwt.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT shared/CMakeFiles/scarchat_shared.dir/auth/jwt.cpp.o -MF CMakeFiles/scarchat_shared.dir/auth/jwt.cpp.o.d -o CMakeFiles/scarchat_shared.dir/auth/jwt.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/shared/auth/jwt.cpp

shared/CMakeFiles/scarchat_shared.dir/auth/jwt.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/scarchat_shared.dir/auth/jwt.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/shared/auth/jwt.cpp > CMakeFiles/scarchat_shared.dir/auth/jwt.cpp.i

shared/CMakeFiles/scarchat_shared.dir/auth/jwt.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/scarchat_shared.dir/auth/jwt.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/shared/auth/jwt.cpp -o CMakeFiles/scarchat_shared.dir/auth/jwt.cpp.s

shared/CMakeFiles/scarchat_shared.dir/crypto/argon2_wrapper.cpp.o: shared/CMakeFiles/scarchat_shared.dir/flags.make
shared/CMakeFiles/scarchat_shared.dir/crypto/argon2_wrapper.cpp.o: /home/ganome/Projects/SCAR-719/repos/scar-chat7/shared/crypto/argon2_wrapper.cpp
shared/CMakeFiles/scarchat_shared.dir/crypto/argon2_wrapper.cpp.o: shared/CMakeFiles/scarchat_shared.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building CXX object shared/CMakeFiles/scarchat_shared.dir/crypto/argon2_wrapper.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT shared/CMakeFiles/scarchat_shared.dir/crypto/argon2_wrapper.cpp.o -MF CMakeFiles/scarchat_shared.dir/crypto/argon2_wrapper.cpp.o.d -o CMakeFiles/scarchat_shared.dir/crypto/argon2_wrapper.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/shared/crypto/argon2_wrapper.cpp

shared/CMakeFiles/scarchat_shared.dir/crypto/argon2_wrapper.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/scarchat_shared.dir/crypto/argon2_wrapper.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/shared/crypto/argon2_wrapper.cpp > CMakeFiles/scarchat_shared.dir/crypto/argon2_wrapper.cpp.i

shared/CMakeFiles/scarchat_shared.dir/crypto/argon2_wrapper.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/scarchat_shared.dir/crypto/argon2_wrapper.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/shared/crypto/argon2_wrapper.cpp -o CMakeFiles/scarchat_shared.dir/crypto/argon2_wrapper.cpp.s

shared/CMakeFiles/scarchat_shared.dir/utils/json_config.cpp.o: shared/CMakeFiles/scarchat_shared.dir/flags.make
shared/CMakeFiles/scarchat_shared.dir/utils/json_config.cpp.o: /home/ganome/Projects/SCAR-719/repos/scar-chat7/shared/utils/json_config.cpp
shared/CMakeFiles/scarchat_shared.dir/utils/json_config.cpp.o: shared/CMakeFiles/scarchat_shared.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Building CXX object shared/CMakeFiles/scarchat_shared.dir/utils/json_config.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT shared/CMakeFiles/scarchat_shared.dir/utils/json_config.cpp.o -MF CMakeFiles/scarchat_shared.dir/utils/json_config.cpp.o.d -o CMakeFiles/scarchat_shared.dir/utils/json_config.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/shared/utils/json_config.cpp

shared/CMakeFiles/scarchat_shared.dir/utils/json_config.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/scarchat_shared.dir/utils/json_config.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/shared/utils/json_config.cpp > CMakeFiles/scarchat_shared.dir/utils/json_config.cpp.i

shared/CMakeFiles/scarchat_shared.dir/utils/json_config.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/scarchat_shared.dir/utils/json_config.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/shared/utils/json_config.cpp -o CMakeFiles/scarchat_shared.dir/utils/json_config.cpp.s

# Object files for target scarchat_shared
scarchat_shared_OBJECTS = \
"CMakeFiles/scarchat_shared.dir/scarchat_shared_autogen/mocs_compilation.cpp.o" \
"CMakeFiles/scarchat_shared.dir/protocol/message.cpp.o" \
"CMakeFiles/scarchat_shared.dir/auth/jwt.cpp.o" \
"CMakeFiles/scarchat_shared.dir/crypto/argon2_wrapper.cpp.o" \
"CMakeFiles/scarchat_shared.dir/utils/json_config.cpp.o"

# External object files for target scarchat_shared
scarchat_shared_EXTERNAL_OBJECTS =

shared/libscarchat_shared.a: shared/CMakeFiles/scarchat_shared.dir/scarchat_shared_autogen/mocs_compilation.cpp.o
shared/libscarchat_shared.a: shared/CMakeFiles/scarchat_shared.dir/protocol/message.cpp.o
shared/libscarchat_shared.a: shared/CMakeFiles/scarchat_shared.dir/auth/jwt.cpp.o
shared/libscarchat_shared.a: shared/CMakeFiles/scarchat_shared.dir/crypto/argon2_wrapper.cpp.o
shared/libscarchat_shared.a: shared/CMakeFiles/scarchat_shared.dir/utils/json_config.cpp.o
shared/libscarchat_shared.a: shared/CMakeFiles/scarchat_shared.dir/build.make
shared/libscarchat_shared.a: shared/CMakeFiles/scarchat_shared.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_6) "Linking CXX static library libscarchat_shared.a"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared && $(CMAKE_COMMAND) -P CMakeFiles/scarchat_shared.dir/cmake_clean_target.cmake
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/scarchat_shared.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
shared/CMakeFiles/scarchat_shared.dir/build: shared/libscarchat_shared.a
.PHONY : shared/CMakeFiles/scarchat_shared.dir/build

shared/CMakeFiles/scarchat_shared.dir/clean:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared && $(CMAKE_COMMAND) -P CMakeFiles/scarchat_shared.dir/cmake_clean.cmake
.PHONY : shared/CMakeFiles/scarchat_shared.dir/clean

shared/CMakeFiles/scarchat_shared.dir/depend:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/ganome/Projects/SCAR-719/repos/scar-chat7 /home/ganome/Projects/SCAR-719/repos/scar-chat7/shared /home/ganome/Projects/SCAR-719/repos/scar-chat7/build /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/shared/CMakeFiles/scarchat_shared.dir/DependInfo.cmake "--color=$(COLOR)"
.PHONY : shared/CMakeFiles/scarchat_shared.dir/depend

